Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 599468 - [RFE] workflow-simple: all architectures if --arch no specified
[RFE] workflow-simple: all architectures if --arch no specified
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 06:08 EDT by Ales Zelinka
Modified: 2010-07-07 14:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 14:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2010-06-03 06:08:07 EDT
I'm used to not omitting architectures in jobs, letting RHTS create recipes for all archs available for selected distro. But bkr's workflow-simple doesn't allow such usage:

$ bkr  workflow-simple --distro=RHEL6.0-20100602.n.0 --variant=Server --task=/CoreOS/samba/Sanity/autofs-cifs 
No arches specified, you must specify at least one

I had to use this:
$ bkr  workflow-simple --distro=RHEL6.0-20100602.n.0 --variant=Server --task=/CoreOS/samba/Sanity/autofs-cifs --arch=i386 --arch=x86_64 --arch=ppc64 --arch=s390x

It is considerably longer and I might miss an arch or two, especially when scheduling similar jobs for different major rhel releases. 


Can you please implement the old behaviour (no "--arch" = all archs)? Or create an alias like --arch=all...

 Thanks
Comment 1 Bill Peck 2010-07-02 15:39:04 EDT
I've updated the workflow-simple to use a new get_arch call, depending on the distro or family passed in it will return the correct arches.

Note You need to log in before you can comment on or make changes to this bug.